Subject: Re: bug#66911: CC Mode 5.35.2 (C++//l); Noise macro being taken as anchor to class-open
From: Alan Mackenzie <[email-masked]>
To: Arsen Arsenović <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Fri, 24 Nov 2023 10:14:45 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello, Arsen.

On Fri, Nov 17, 2023 at 20:17:47 +0000, Alan Mackenzie wrote:
> On Fri, Nov 17, 2023 at 20:16:31 +0100, Arsen Arsenović wrote:
> > Hi Alan,

[ .... ]

> > > So, please try out the new patch (below) which supplies the second anchor
> > > point to class-close too.  The patch applies cleanly to the Emacs master
> > > branch.  Again, please start off with a clean cc-engine.el before
> > > applying the new patch, not the version with the previous patch applied.

[ .... ]

> > In any case, I'll be sure to use this as soon as it lands in the Emacs
> > VCS.

> This might take a few days - I've still got to amend the (stand alone CC
> Mode) test suite and the documentation.  And I've got quite a lot on in
> Real Life in the next few days.

I've now amended the test suite and cc-mode.texi.  I've committed the
enhancement to all the usual places, including the Emacs master branch,
so I'm closing the bug with this post.

> > -- 
> > Arsen Arsenović

-- 
Alan Mackenzie (Nuremberg, Germany).